<!-- archivo index.html -->

<!DOCTYPE html>
<html lang="es">
  <head><title>index.html</title></head>
  <body>
    <div id="app">
        <input v-model="nombreCompleto"/>
        <p>Nombre : {{ nombre }}</p>
        <p>Apellido : {{ apellido }}</p>
    </div>
    <!-- carga de la librería Vue.js -->
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script>
      let vm = new Vue({
        el: "#app",
        data: {
          nombre: "Julien",
          apellido: "Durand"
        },
        computed: {
          nombreCompleto: {
            get() {
              return this.apellido !== '' ? this.nombre + ' ' + this.apellido : this.nombre;
            },
            set(newVal) {
              let tabNombres = newVal.split(' ');
              let num = tabNombres.length
              this.nombre = tabNombres[0];
              this.apellido = num > 1 ? tabNombres[nb - 1] : '';
            }
          }
        },
        methods: {
            actualizarNombreCompleto() {
                this.nombreCompleto = "Chuck Norris";
            }
        }
      });
    </script>
  </body>
</html>
